## libpsm2 10.3.58

=== debian/changelog ===
libpsm2 (10.3.58-1) unstable; urgency=medium

  [ Brian T. Smith ]
  * New upstream version 10.3.58.
  * Update Standards-Version to 4.1.4.

  [ Roland Fehrenbacher ]
  * Update to debhelper compat 11
  * Readd lintian override for libpsm2-2-compat
    maintainer-script-should-not-use-update-alternatives-remove

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Thu, 14 Jun 2018 16:29:02 -0500

libpsm2 (10.3-37-1) unstable; urgency=medium

  * Initial release. (Closes: #862313)

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Thu, 07 Dec 2017 12:33:43 -0600
