=== debian/control ===
Source: libpsm2
Maintainer: Debian HPC team <debian-hpc@lists.debian.org>
Uploaders: Brian T. Smith <bsmith@systemfabricworks.com>,
           Roland Fehrenbacher <rfehren@debian.org>,
Section: libs
Priority: optional
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/hpc-team/libpsm2.git
Vcs-Browser: https://salsa.debian.org/hpc-team/libpsm2
Homepage: https://github.com/01org/opa-psm2
Build-Depends: debhelper (>= 11),
               libnuma-dev,

Package: libpsm2-2
Architecture: amd64
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Intel PSM2 library
 PSM2 is Intel's low-level user-space communications interface for
 the Intel(R) OPA family of products. PSM2 users are enabled with
 mechanisms necessary to implement higher level communications
 interfaces in parallel environments.

Package: libpsm2-2-compat
Architecture: amd64
Depends: libpsm2-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Compat library for Intel PSM2
 PSM compatibility API is Intel's low-level user-space communications
 interface for the Intel(R) TrueScale family of products. This library
 adds support for MPIs linked with PSM versions < 2.

Package: libpsm2-dev
Architecture: amd64
Section: libdevel
Depends: libpsm2-2 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for Intel PSM2 library
 PSM2 is Intel's low-level user-space communications interface for
 the Intel(R) OPA family of products. PSM2 users are enabled with
 mechanisms necessary to implement higher level communications
 interfaces in parallel environments. This package contains the
 development headers for Intel PSM2 library.
