## libpsm2 11.2.78

=== debian/changelog ===
libpsm2 (11.2.78-1) unstable; urgency=medium

  * New upstream version 11.2.78.
  * New Standards-Version 4.3.0. No changes required.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Sat, 09 Feb 2019 16:57:54 -0600

libpsm2 (11.2.68-4) unstable; urgency=medium

  * Use upstream patch instead of timeout workaround added in
    11.2.68-2 and 11.2.68-3.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Fri, 30 Nov 2018 13:24:54 -0600

libpsm2 (11.2.68-3) unstable; urgency=medium

  * Change PSM2_INIT_WAIT_FOR_DEVICES environment var to PSM2_HAL_INIT_RETRY.
  * Use psmi_getenv to access PSM2_HAL_INIT_RETRY environment var.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Wed, 07 Nov 2018 14:11:02 -0600

libpsm2 (11.2.68-2) unstable; urgency=medium

  * Correct hang in psm2_init() when there is no hfi1 device
    present. (Closes: #910485)

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Fri, 02 Nov 2018 16:26:42 -0500

libpsm2 (11.2.68-1) unstable; urgency=medium

  * New upstream version 11.2.68.
  * Update Standards-Version to 4.2.1. No changes required.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Sat, 29 Sep 2018 15:29:21 -0500

libpsm2 (10.3.58-2) unstable; urgency=medium

  * Fix gcc8 truncation error. (Closes: #906485)
  * Update Standards-Version to 4.2.0.1. No changes required.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Fri, 17 Aug 2018 17:31:09 -0500
