=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Roland Fehrenbacher <rfehren@debian.org>,
 Section: libs
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/hpc-team/libpsm2.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpsm2
 Homepage: https://github.com/01org/opa-psm2
