=== debian/changelog ===
libpsm2 (11.2.86-1) unstable; urgency=medium

  * New upstream version 11.2.86.
  * New Standards-Version 4.4.1. No changes required.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Mon, 07 Oct 2019 21:16:49 -0500

libpsm2 (11.2.78-2) unstable; urgency=medium

  * New Standards-Version 4.4.0. No changes required.
  * Specify Build-Depends debhelper >= 12 in d/control.
  * Ignore library-not-linked-against-libc for libpsm2-2-compat.
  * Specify Build-Depends-Package: libpsm2-dev in d/libpsm2-2.symbols.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Fri, 06 Sep 2019 12:32:31 -0500
