=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Roland Fehrenbacher <rfehren@debian.org>,
 Section: libs
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/hpc-team/libpsm2.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpsm2
 Homepage: https://github.com/01org/opa-psm2
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                libnuma-dev,
 
 Package: libpsm2-2
