=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
-DESTDIR=$$PWD/debian/tmp
+DESTDIR=$(CURDIR)/debian/tmp
 
 PSM_LIB_MAJOR := $(shell printf "%d" `sed -n 's/^\#define.*PSM2_VERNO_COMPAT_MAJOR.*0x0\?\([1-9a-f]\?[0-9a-f]\+\).*/\1/p' $(CURDIR)/psm2.h`)
 PSM_LIB_VERSION := $(PSM_LIB_MAJOR)
