=== debian/changelog ===
libpsm2 (11.2.185-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:46:53 +0200

libpsm2 (11.2.185-2) unstable; urgency=medium

  * Team upload.
  * Ignore WERROR which is usually anti-pattern for
    distro packages (Closes: #984205)
    - Thanks Michael Hudson-Doyle for the patch!

 -- Nilesh Patra <nilesh@debian.org>  Fri, 14 Oct 2022 08:43:28 +0530

libpsm2 (11.2.185-1) unstable; urgency=medium

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Brian T. Smith ]
  * New upstream version 11.2.185.
    This addresses #957468. The owner requested to leave the bug open.
  * Specify Rules-Requires-Root: no in d/control.
  * New Standards-Version 4.5.0. No changes required.
  * Bump debhelper from old 11 to 13.
  * Add Forwarded: not-needed to d/patches/*.patch. Silence lintian
    send-patch.
  * Patch Makefile to remove bashisms.

 -- Brian T. Smith <bsmith@systemfabricworks.com>  Tue, 08 Sep 2020 14:30:19 -0500
