=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libpsm2
-Maintainer: Debian HPC team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC team <debian-hpc@lists.debian.org>
 Uploaders: Brian T. Smith <bsmith@systemfabricworks.com>,
            Roland Fehrenbacher <rfehren@debian.org>,
 Section: libs
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/hpc-team/libpsm2.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpsm2
 Homepage: https://github.com/01org/opa-psm2
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                libnuma-dev,
 
 Package: libpsm2-2
