=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build: $(MAINT_SCRIPTS)
-	dh_auto_build
+	dh_auto_build -- WERROR=
 
 .PHONY: override_dh_installdocs
 override_dh_installdocs:
@@ -53,6 +53,7 @@
 	mv $(DESTDIR)/$(LIBDIR)/psm2-compat/libpsm_infinipath.so.* $(DESTDIR)/usr/lib/libpsm2-2/
 	sed -i 's~/libpsm2/~/libpsm2-2/~g' $(DESTDIR)/etc/modprobe.d/libpsm2-compat.conf
 	rmdir $(DESTDIR)/$(LIBDIR)/psm2-compat/
+	rm -f $(DESTDIR)/lib/udev/rules.d/40-psm.rules
 
 # libpsm2-2 contains the compatibility library. Don't process it for dependencies.
 .PHONY: override_dh_makeshlibs
